@use "sass:math";
@use "sass:color";

$font-stack: Helvetica, sans-serif;
$primary-color: #333;
$secondary-color: green;

body {
  font: 100% $font-stack;
  color: $secondary-color;
  background: color.adjust($secondary-color, $lightness: -4%);
}


$class-colors: (
        xs: crimson,
        sm: salmon,
        md: midnightblue,
        lg: lawngreen
);

$columns: 12;

@each $class in map-keys($class-colors) {
  $color: map-get($class-colors, $class);
  @debug ($color);

  @for $i from 1 through $columns {
    .col-#{$class}-#{$i} {
      width: math.percentage($i / $columns);
      background-color: $color;
      color: white;
    }
  }
}